## TrackerMinerOnline TrackerMinerOnline — Abstract base class for miners connecting to online resources |

## Functions

TrackerNetworkType | tracker_miner_online_get_network_type ()

## Properties

TrackerNetworkType | network-type | Read

## Signals

gboolean | connected | Run Last
void | disconnected | Run Last

## Types and Values

struct | TrackerMinerOnlineClass

## Object Hierarchy

        GObject
        ╰── TrackerMiner
            ╰── TrackerMinerOnline

## Includes

    #include <libtracker-miner/tracker-miner.h>

## Description

TrackerMinerOnline is an abstract base class for miners retrieving data from online resources. It's a very thin layer above TrackerMiner that additionally handles network connection status.

TrackerMinerOnline implementations can implement the `connected` vmethod in order to tell the miner whether a connection is valid to retrieve data or not. The miner data extraction still must be dictated through the TrackerMiner vmethods.

## Functions

### tracker_miner_online_get_network_type ()

    TrackerNetworkType
    tracker_miner_online_get_network_type (TrackerMinerOnline *miner);

#### Returns

## Types and Values

### struct TrackerMinerOnlineClass

    struct TrackerMinerOnlineClass {
    	TrackerMinerClass parent_class;

    	/* vmethods */
    	gboolean (* connected)    (TrackerMinerOnline *miner,
    	                           TrackerNetworkType  network);
    	void     (* disconnected) (TrackerMinerOnline *miner);

    	/* <Private> */
    	gpointer padding[10];
    };

#### Members

TrackerMinerClass `parent_class`; | parent object class |
`connected` () | called when there is a network connection, or a new default route, returning TRUE starts/resumes indexing. |
`disconnected` () | called when there is no network connection. |
gpointer `padding`[10]; | Reserved for future API improvements. |

Since 0.18.

## Property Details

### The `“network-type”` property

      “network-type”             TrackerNetworkType

Network type for the current connection.

Flags: Read

Default value: TRACKER_NETWORK_TYPE_NONE

## Signal Details

### The `“connected”` signal

    gboolean
    user_function (TrackerMinerOnline *trackermineronline,
                   TrackerNetworkType  arg1,
                   gpointer            user_data)

Flags: Run Last

### The `“disconnected”` signal

    void
    user_function (TrackerMinerOnline *trackermineronline,
                   gpointer            user_data)

Flags: Run Last